Kerbal Space Program - Bug #27022

Space station contract: can not complete if station is built in orbit using EVA
01/09/2021 04:54 PM - rotsor

Status: Ready to Test Start date: 01/09/2021
Severity: Low % Done: 80%
Assignee: just_jim
Category: Contracts
Target version: 1.11.1
Version: 1.11.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

It appears that launchlID is set to 0 for parts placed during EVA.
This makes the contract treat them as too old, even if they were launched together with the vessel.

How to replicate:

1. Get a contract that requires you to build a new vessel (e.g. "Build a new orbital station" or "Build a new unmanned probe").

2. Launch a new vessel.

3. Add a part to this vessel during an EVA. (using a part launched in the same vessel) (e.g. a solar panel)

4. See that the vessel does not meet the contract parameters.

This invalidates the contract parameters even if they were satisfied at step (2), and even if the EVE-placed part is unrelated to the
contract parameters.

Version info:

1.11.0.3045 (WindowsPlayer x64) en-us
1.11.0 Making History

1.6.0 Breaking Ground

History

#1 - 01/09/2021 04:58 PM - rotsor

A workaround is to edit the save file and change launchlID of the relevant parts to the launchID of the vessel they are attached to.
| can think of two alternative fixes:

1) Set the launch id of the EVA parts at the time they are launched.
2) Set the launch id of the EVA parts at the time they are first attached to a vessel.

(1) makes the contract more strict (requires a brand-new part launched from Kerbin) while (2) is more permissive: lets you use a stockpile of
never-used parts that you already have in space.

#2 - 01/11/2021 09:03 PM - just_jim
- Status changed from New to Confirmed
- Assignee set to just_jim

- % Done changed from 0 to 10

#4 - 01/29/2021 01:45 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.11.1

- % Done changed from 10 to 80

We've made some changes in the latest version of the game and would like some feedback on this issue. Thanks.

04/26/2024 1/1



http://www.tcpdf.org

